<?php
defined ( 'IN_TS' ) or die ( 'Access Denied.' );
$userid = aac('user')->isLogin();

$oderid = intval ( $_GET ['id'] );

$stroder = $new ['shop']->find ( 'shop_order', array ('orderid' => $oderid ) );

if($stroder=='')
{
	
	tsNotice('NO!');
}
if($userid!=$stroder['userid']&&$userid!=$stroder['selluserid'])
{
	tsNotice('NO');
	
}

$needpay=$stroder['much']*$stroder['pay'];
$stroder['content'] = tsDecode($stroder['content']);

$buyuser=aac ( 'user' )->getSimpleUser ( $stroder['userid'] );
$selluser=aac ( 'user' )->getSimpleUser ( $stroder['selluserid'] );

//print_r($_GET);

//$stroder['address'] = htmlentities($stroder['address'], ENT_NOQUOTES, "utf-8");

include template ( "order" );



?>